<?php
require'f_descarcari.php';
require'f_admin.php';
$titlu='Editeaza album descarcari';
require'f_sus.php';
$nume=$_POST['nume'];
$cid=$_POST['cid'];
$link=$_POST['link'];
$descriere=$_POST['descriere'];
$id_topic=$_POST['id_topic']??1;
if(($nume!=''||$cid!=''?$conn->query('UPDATE`descarcari_albume`SET`nume`="'.$nume.'",`cid`="'.$cid.'",`link`="'.$link.'",`descriere`="'.$descriere.'"WHERE`id`="'.$fid.'"'):false))
{
if(!($id_topic>1&&$conn->query('SELECT COUNT(*)FROM`forum_topicuri`WHERE`id`="'.$id_topic.'"')->fetch_row()[0]==1))
$id_topic=1;
$conn->query('UPDATE`descarcari_fisiere`SET`vizibil`="'.$id_topic.'"WHERE`fid`="'.$fid.'"');
$conn->query('INSERT INTO`jurnal_admini`SET`nume`="Editari",`de`="'.$de.'",`text`="a editat albumul descărcări înlocuind numele [b]'.$finfo[2].'[/b] cu numele [b]'.$nume.'[/b], categoria [b]'.$finfo[1].'[/b] cu categoria [b]'.$cid.'[/b], link-ul [b]'.$finfo[10].'[/b] cu link-ul [b]'.$link.'[/b], descrierea [b]'.$finfo[11].'[/b] cu descrierea [b]'.$descriere.'[/b] și valoarea coloanei vizibil la fișiere cu [b]'.$id_topic.'[/b]",`data`="'.$_SERVER['REQUEST_TIME'].'"');
echo$div[4].'<img src="'.$domenii_statice[1].'actiune_check.png" alt="" width="16" height="16" />Succes!'.$div[5].$div[6].'Album descărcări editat!';
}
else
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Nu ai completat numele, categoria, sau este adăugat un album cu acest nume în această categorie!';
echo$div[0];
require'f_jos.php';